#!/usr/bin/env node

/**
 * start your app from here
 */
const commands = ['start', 'build'];
const spawn = require('cross-spawn');
const command = process.argv[2];
const args = process.argv.slice(3);

if (~commands.indexOf(command)) {
  const result = spawn.sync(
    'node',
    [require.resolve('../command/' + command)].concat(args),
    { stdio: 'inherit' });
  if (result.signal) {
    if (result.signal === 'SIGKILL') {
      console.log(
        'The build failed because the process exited too early. ' +
        'This probably means the system ran out of memory or someone called ' +
        '`kill -9` on the process.'
      );
    } else if (result.signal === 'SIGTERM') {
      console.log(
        'The build failed because the process exited too early. ' +
        'Someone might have called `kill` or `killall`, or the system could ' +
        'be shutting down.'
      );
    }
    process.exit(1);
  }
  process.exit(result.status);
} else {
  console.log('Unknown command, please checkout the command, your should choose from ' + commands.join);
}
