const fs = require('fs');
const path = require('path');

const rootPath = fs.realpathSync(process.cwd());
let rootConfig = {};

function resolveRootPath(route) {
  return path.resolve(rootPath, route);
}

function resloveCommandPath(route) {
  return path.resolve(__dirname, route);
}

try {
  rootConfig = require(resolveRootPath('./scm.config'));
} catch(e) {
  console.log('You can create a file named scm.config.js in your project');
}
// you should config key
const defaultConfig = {
  title: 'Scm',
  template: resloveCommandPath('./index.ejs'),
  entry: resolveRootPath('./app/index.js'),
  distPath: resolveRootPath('./dist'),
  assetsPath: resolveRootPath('./app/assets'),
  // only for production
  publicPath: '/',
};

const defaultConfigNeedReslove = ['template', 'entry', 'distPath', 'assetsPath'];

Object.keys(defaultConfig).forEach(key => {
  if (rootConfig[key]) {
    defaultConfig[key] = rootConfig[key];
    if (~defaultConfigNeedReslove.indexOf(key)) {
      defaultConfig[key] = resolveRootPath(defaultConfig[key]);
    }
  }
});

module.exports = defaultConfig;
